MockPart (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.testing
[Groovy] Class MockPart

    java.lang.Object
      org.codehaus.groovy.grails.plugins.testing.MockPart

All Implemented Interfaces:
  javax.servlet.http.Part

    class MockPart
    extends java.lang.Object

Property Summary
`org.springframework.web.multipart.MultipartFile` | `file`
`org.springframework.util.MultiValueMap` | `headers`

Constructor Summary
`MockPart(org.springframework.web.multipart.MultipartFile file)`

Method Summary
`void` | `delete()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.util.Collection` | `getHeaderNames()`
`java.util.Collection` | `getHeaders(java.lang.String name)`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`long` | `getSize()`
`void` | `write(java.lang.String fileName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### file

    org.springframework.web.multipart.MultipartFile file

### headers

    org.springframework.util.MultiValueMap headers

Constructor Detail

### MockPart

    MockPart(org.springframework.web.multipart.MultipartFile file)

Method Detail

### delete

    void delete()

### getContentType

    java.lang.String getContentType()

### getHeader

    java.lang.String getHeader(java.lang.String name)

### getHeaderNames

    java.util.Collection getHeaderNames()

### getHeaders

    java.util.Collection getHeaders(java.lang.String name)

### getInputStream

    java.io.InputStream getInputStream()

### getName

    java.lang.String getName()

### getSize

    long getSize()

### write

    void write(java.lang.String fileName)

Groovy Documentation